Subject: Re: bug#43117: [PATCH] Add .git-blame-ignore-revs file

From: Stefan Kangas <[email-masked]>
Date: Mon, 19 Oct 2020 16:06:45 +0000

Eli Zaretskii <[email-masked]> writes:

> Why would someone want to skip commits in "git blame"?  We need to
> have agreed-upon criteria or policy for that, otherwise each one of
> use will step on the others' toes.  "git blame" is an important
> forensics command, so hiding commits from it might surprise someone,
> if it's unexpected.

For example, if a commit fixed a typo in a doc string, I'd much rather
see the commit that added that text than the one that fixed the typo.

>> Wouldn't having non-existent commit ids in there mostly be an aesthetic
>> problem?
>
> I don't know.  Will it?  I have no experience with this feature.

AFAIU, git will just skip over non-existent commits in this case.